Subject: Re: Assignment of Transaction No. 1
From: [email-masked]
To: [email-masked]
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Tue, 27 Mar 2001 05:38:00 -0800 (PST)

I just confirmed with Dan at Enron that clause #5 can stay as is. I
verified that Crestar will notify Enron by 9:00am of the volume to be
supplied by both Crestar and Enron and Enron will notify both BP and
Crestar by 9:45am in a single e-mail of the contracts to nominate to with
the applicable volumes.

So the assignment can be sent out with Dan's other changes incorporated.

Thanks everyone,
------
Bruce Kohrs
Phone: (403)205-7684
Fax: (403)266-1947
e-mail:[email-masked]

                    Dan.J.Hyvl@en
                    ron.com              To:     
[email-masked]
                                         cc:     
[email-masked], [email-masked],
                    03/26/2001           [email-masked], 
[email-masked], [email-masked]
                    10:20 AM             Subject:     Re: Assignment of 
Transaction No. 1

Michael,

     I have reviewed the attached agreement and offer the following
comments.

1.   Change the reference to Consenting Party to read as follows:

Enron North America Corp. is a Delaware corporation having an office
located at 1400 Smith St., Houston, Texas (hereinafter referred to as
"Consenting Party")

2.   Paragraph No. 5.  Please delete the last two sentences, this had some
applicability when the agreement was intended to be a partial assignment,
however, once the assignment is completed, Assignee will be responsible for
making its own nominations each day.

3.   Paragraph No. 8.  Please limit this paragraph solely to Assignor and
Assignee, otherwise change the reference to the State of Texas.

     Please call if you have any questions.

                                   Dan Hyvl

                    "Kleiner,
                    Michael"               To:     "[email-masked]'"
<[email-masked]>,
                    <Michael_Kleine        "[email-masked]'"
<[email-masked]>,
                    [email-masked]>             "Kohrs, Bruce"
<[email-masked]>,
"Houghton,
                                           Brian" <[email-masked]>
                    03/23/2001             cc:
                    03:59 PM               Subject:     Assignment of
Transaction No. 1

Everyone;

Further to yesterday's discussions, attached is a revised draft of the
assignment agreement. Please provide any further comments by email.

Yours truly;

Gulf Canada Resources Limited

per: Michael P. Kleiner

 <<Enron contract assignment.doc>>

(See attached file: Enron contract assignment.doc)
(See attached file: Enron contract assignment.doc)
******* End *******
(See attached file: Enron contract assignment.doc)

 - Enron contract assignment.doc